Skip to main content
POST
/
api
/
organizations
curl -X POST "https://api.hitler.app/api/organizations" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Corporation",
    "slug": "acme-corp"
  }'
{
  "id": "org-uuid-123",
  "name": "Acme Corporation",
  "slug": "acme-corp",
  "onboardingState": "pending",
  "createdAt": "2024-01-15T10:00:00.000Z"
}

Request

name
string
required
Organization name (1-255 characters)
slug
string
required
URL-friendly identifier (lowercase, numbers, hyphens only)

Response

id
string
Organization UUID
name
string
Organization name
slug
string
Organization slug
onboardingState
string
Current onboarding state
createdAt
string
Creation timestamp
curl -X POST "https://api.hitler.app/api/organizations" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Corporation",
    "slug": "acme-corp"
  }'
{
  "id": "org-uuid-123",
  "name": "Acme Corporation",
  "slug": "acme-corp",
  "onboardingState": "pending",
  "createdAt": "2024-01-15T10:00:00.000Z"
}